Bug 9479 - Support FIPS mode when building Samba
Support FIPS mode when building Samba
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Build
4.0.0rc6
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-07 15:40 UTC by Alexander Bokovoy
Modified: 2012-12-10 07:45 UTC (History)
0 users

See Also:


Attachments
Patch to see if md5 actually works in Python (1.27 KB, patch)
2012-12-07 15:41 UTC, Alexander Bokovoy
asn: review+
Details
v4-0-test patch (1.37 KB, patch)
2012-12-08 10:44 UTC, Andreas Schneider
no flags Details
v4-0-test patch (1.50 KB, patch)
2012-12-08 13:06 UTC, Andreas Schneider
asn: review? (ab)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bokovoy 2012-12-07 15:40:00 UTC
In FIPS mode importing md5 Python module will not cause any error but calling md5.md5()
function will throw ValueError since md5 is not available.

Make sure md5.md5() actually works and if not, fall back to use hash replacement that
we already have in wafsamba.

The patch needs to go to master as well.
Comment 1 Alexander Bokovoy 2012-12-07 15:41:04 UTC
Created attachment 8303 [details]
Patch to see if md5 actually works in Python
Comment 2 Andreas Schneider 2012-12-08 10:44:24 UTC
Created attachment 8307 [details]
v4-0-test patch

Cherry picked patch from master.
Comment 3 Andreas Schneider 2012-12-08 13:06:27 UTC
Created attachment 8312 [details]
v4-0-test patch

Patch cherry picked from master branch.
Comment 4 Andreas Schneider 2012-12-08 13:07:00 UTC
Karolin, please add to v4-0-test! Thanks.
Comment 5 Karolin Seeger 2012-12-09 20:06:38 UTC
Pushed to autobuild-v4-0-test.
Comment 6 Karolin Seeger 2012-12-10 07:45:16 UTC
Pushed to v4-0-test.
Closing out bug report.